import { useNavigate } from "@solidjs/router";
import { JSXElement } from "solid-js";

import { Arrow } from "../../Util/Icons";
import { Post } from "../../Util/api";

export default function ToPostButton(props: { post: Post }): JSXElement {
  const nav = useNavigate();

  return (
    <div class="p-1">
      <button
        onClick={(): void => nav("/post/" + props.post.id)} // Accessing props.post directly
        class="btn btn-xs hover:border-primary"
        aria-label="View post"
      >
        <Arrow />
      </button>
    </div>
  );
}
