import { JSXElement, splitProps } from "solid-js";

import { PublicComment } from "../Util/api";

export function Comment(props: { comment: PublicComment }): JSXElement {
  const [local] = splitProps(props, ["comment"]);
  const dateOfCreation = new Date(local.comment.created_at).toDateString();

  return (
    <>
      <div class="py-5">
        <time class="text-xs opacity-50">{dateOfCreation}</time>
      </div>
      <div class="">{local.comment.content}</div>
      <div class="divider" />
    </>
  );
}
