import { For, JSXElement, createResource, splitProps } from "solid-js";

import { getComments } from "../Util/api";
import { Comment } from "./Comment";

export function CommentSection(postId: { postId: string }): JSXElement {
  const [local] = splitProps(postId, ["postId"]);
  // Not sure why this is a resource, refetch is not implemented
  const [state] = createResource(() => getComments(local.postId, 10, 0));

  return (
    <div>
      <For each={state()} fallback={<div>Loading...</div>}>
        {(comment) => <Comment comment={comment} />}
      </For>
    </div>
  );
}
